﻿@model InsightHub.Web.Models.ReportMVCModels.DetailsMVCViewModel

@{
    ViewData["Title"] = "Details";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<h1>Details</h1>

<div class="text-dark">
    <hr />
    <dl class="row">
        <dt class="col-sm-2">
            @Html.DisplayNameFor(model => model.Name)
        </dt>
        <dd class="col-sm-10">
            @Html.DisplayFor(model => model.Name)
        </dd>
        <dt class="col-sm-2">
            @Html.DisplayNameFor(model => model.Description)
        </dt>
        <dd class="col-sm-10">
            @Html.DisplayFor(model => model.Description)
        </dd>
        <dt class="col-sm-2">
            @Html.DisplayNameFor(model => model.Industry)
        </dt>
        <dd class="col-sm-10">
            @Html.DisplayFor(model => model.Industry.Name)
        </dd>
        <dt class="col-sm-2">
            @Html.DisplayNameFor(model => model.Tags)
        </dt>
        <dd class="col-sm-10">
            @foreach (var item in Model.Tags)
            {
                @Html.DisplayFor(model => item.Name)
                <br />
            }
        </dd>
        <dt class="col-sm-2">
            @Html.DisplayNameFor(model => model.Author)
        </dt>
        <dd class="col-sm-10">
            @Html.DisplayFor(model => model.Author)
        </dd>
        <dt class="col-sm-2">
            @Html.DisplayNameFor(model => model.FileName)
        </dt>
        <dd class="col-sm-10">
            @Html.DisplayFor(model => model.FileName)
        </dd>
        <dt class="col-sm-2">
            @Html.DisplayNameFor(model => model.TimesDownloaded)
        </dt>
        <dd class="col-sm-10">
            @Html.DisplayFor(model => model.TimesDownloaded)
        </dd>
        <dd>
            <div class="row">
                <div class="col-sm-12 text-center">
                    @if (User.Identity.IsAuthenticated)
                    {
                        @Html.ActionLink("Download Report", "DownloadFile", "Reports", new { id = Model.Id }, new { @class = "btn btn-success btn-custom" })
                        @if (User.IsInRole("Author") && User.Identity.Name == Model.Author)
                        {
                            <a asp-area="Author" asp-controller="Reports" asp-action="Edit" asp-route-id="@Model.Id" class="btn btn-outline-primary">Edit</a>

                            <a asp-area="Author" asp-controller="Reports" asp-action="Delete" asp-route-id="@Model.Id" class="btn btn-danger">Delete</a>
                        }
                    }
                    else
                    {
                        <a href="~/Identity/Account/Register" class="btn btn-outline-secondary">Download Report</a>
                    }

                </div>
            </div>
        </dd>
    </dl>
</div>
<div>
    <a asp-action="Index" class="btn btn-outline-primary">Back to List</a>
</div>

